Subject: [Sip] ISSUE 2 in Hitchhikers guide to SIP: What constitutes Core SIP

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 08 May 2006 15:04:04 -0400

One of the categorizations I used for the hitchikers guide were "Core"
SIP specifications. THe document says that:

> The core SIP specifications represent essential functionality for 
> almost any implementation.

this is somewhat vague. I have in mind a more concrete definition that I
think makes more sense. I'd propose:

> The core SIP specifications represent the set of specifications whose
> functionality is broadly applicable. An extension is broadly
> applicable if it fits into one of the following categories:
> 
> * For specifications that impact SIP session management, the
> extension would be used for almost every session initiated by a user
> agent
> 
> * For specifications that impact SIP registrations, the extension
> would be used for almost every registration initiated by a user agent
> 
> * For specifications that impact SIP subscriptions, the extension
> would be used for almost every subscription initiated by a user agent
> 
> In other words, these are not specifications that are used just for
> some requests and not others; they are specifications that would
> apply to each and every request that the extension is relevant for.

Based on this definition, I think the following changes would be made to 
the SIP core specifications:

+ SDP-new
+ RFC 3264
+ ICE
- RFC3323 (doesn't get used in each request!)
+ RFC 3840 (since the tags are supposed to be used in each registration 
and in each INVITE and 200 OK)
+ RFC 3266 (IPv6 in SDP)
+ RFC 3605 (RTCP attribute in SDP)
+ RFC 3388 (SDP grouping framework)

I debated adding the grouping framework for SDP; since it is getting 
used broadly for many things I think it is likely to see usage in nearly 
every SDP, so I put it in the list.

Do people concur with this definition and the resulting specifications 
listed in the core set?

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Henry Sinnreich" <[email-masked]>
Date: Mon, 8 May 2006 14:49:44 -0500

Thanks for adding ICE.

Henry

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]] 
Sent: Monday, May 08, 2006 2:04 PM
To: IETF SIP List
Subject: [Sip] ISSUE 2 in Hitchhikers guide to SIP: What constitutes Core
SIP

+ SDP-new
+ RFC 3264
+ ICE

Thanks,
Jonathan R.

---

From: David R Oran <[email-masked]>
Date: Mon, 8 May 2006 16:01:22 -0400

From the peanut gallery:

Rather than suck everything that touches SIP into its gravity well  
(TLS, DNS) or conversely leave something out that you really need in  
order to understand the unified field theory of SIP, let me suggest a  
compromise: where there is a convenient grouping of things  
independent of SIP itself, introduce a level of indirection. Then let  
somebody else write a specification for that area.

One obvious candidate here is to pull out everything having to do  
with NAT traversal (STUN, ICE, RFC3605, etc) and let somebody write  
that up separately. By analogy, that's treating the Hitchhiker's  
Guide to SIP as the Newtonian physics part, and NAT traversal as the  
part you need to use when space and time are warped (or even contain  
naked singularities, which NATs are somewhat akin to :-).

Just a thought to keep this from becoming too unwieldy and a  
maintenance nightmare...

Dave.

On May 8, 2006, at 3:04 PM, Jonathan Rosenberg wrote:

> Based on this definition, I think the following changes would be  
> made to the SIP core specifications:
>
> + SDP-new
> + RFC 3264
> + ICE
> + RFC 3840 (since the tags are supposed to be used in each  
> registration and in each INVITE and 200 OK)
> + RFC 3266 (IPv6 in SDP)
> I debated adding the grouping framework for SDP; since it is  
> getting used broadly for many things I think it is likely to see  
> usage in nearly every SDP, so I put it in the list.
>
> Do people concur with this definition and the resulting  
> specifications listed in the core set?
>
> Thanks,
> Jonathan R.
>
>
>
> --

---

From: Miguel Garcia <[email-masked]>
Date: Tue, 09 May 2006 12:02:20 +0300

Jonathan:

Notice that RFC 3266 has been included in the base SDP-new. Essentially, 
RFC 2327 + RFC 3266 (+some-bug-fixes) = SDP-new. So you don't need RFC 3266.

/Miguel

-- 
Miguel A. Garcia           tel:+358-50-4804586
sip:[email-masked]
Nokia Research Center      Helsinki, Finland